### Constructor

# EDataServer MsOapxbc new_sync

since: 3.54

#### Declaration [src]

    EMsOapxbc*
    e_ms_oapxbc_new_sync (
      const gchar* client_id,
      const gchar* authority,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously create a new `EMsOapxbc`. This initiates the communication with a locally running Microsoft Identity broker service via D-Bus. In case the broker is not running, it is started. If no broker is registered, this function will fail (return `NULL`).

Available since: 3.54

#### Parameters

`client_id`

  Type: `const gchar*`

  A client ID of the broker client (UUID string).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`authority`

  Type: `const gchar*`

  An authority URL of the OAuth2 service.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EMsOapxbc`

A new `EMsOapxbc`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.